@font-face {
 font-family: 'GeistMono';
 font-weight: 500;
 font-style: normal;
 src: url('assets/fonts/GeistMono-Medium.ttf') format('truetype');
}


:root {
  --base-color: #000000;
  --accent-color: #FFF000;
}

html {
  scroll-behavior: smooth;
}

* {
  box-sizing: border-box;
}

html, body, p {
  margin: 0;
  font-size: 16px;
  line-height: 1.5;
  font-family: "GeistMono";
  font-weight: 500;
  color: var(--base-color);
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  transition: all 200ms ease;
}

body {
  position: relative;
  background: var(--accent-color);
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 5vw 6vw;
}

::selection {
  color: var(--accent-color);
  background-color: var(--base-color);
}

header, footer {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  width: 100%;
}

footer span.stay-tuned {
  text-align: right;
}

.logo-wrapper {
  position: relative;
  margin: 2rem 0;
  user-select: none;
}

img.stage-headline {
  width: 100%;
}

a.chip-wrapper {
  position: absolute;
  right: 5vw;
  bottom: -3vw;
  display: block;
  cursor: pointer;
  transition: 200ms ease;
}

a.chip-wrapper:hover {
  transform: scale(1.05);
}

img.stage-chip {
  width: 11vw;
  min-width: 8rem;
  max-width: 14rem;
  height: 11vw;
  min-height: 8rem;
  max-height: 14rem;
  animation: chip-rotate 8s infinite linear;
  user-select: none;
}

.logo-wrapper img.stage-chip:hover {
  transform: scale(1.1);
}

.footer-break {
  display: none;
}

@keyframes chip-rotate {
  0% {transform: rotate(0deg);}
  100% {transform: rotate(360deg);}
}

@media (max-width: 640px) {

  body {
    padding: 2rem;
  }

  a.chip-wrapper {
    position: absolute;
    right: 1rem;
    bottom: -2.5rem;
  }

  img.stage-chip {
    width: 20vw;
    min-width: auto;
    height: 20vw;
    min-height: auto;
  }

  .footer-break {
    display: block;
  }

}
